Macro.add('ConnectedLocationCode',{
	tags:[],
	handler  : function () {

		const content = this.payload[0].contents;
		const label = this.args[0];
		const image = this.args[1];
		const duration = this.args[2];
		const flags = this.args[3] ?? {};

		setup.connectedLocationAdd(label,null,duration,image,content,flags);
			
	}
});